package org.dromara.system.service;


import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.bo.SysSmsConfigBo;
import org.dromara.system.domain.vo.SysSmsConfigVo;

import java.util.Collection;
import java.util.List;

/**
 * 病例短信配置Service接口
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
public interface ISysSmsConfigService {

    /**
     * 查询病例短信配置
     */
    SysSmsConfigVo queryById(Long id);

    /**
     * 查询病例短信配置列表
     */
    TableDataInfo<SysSmsConfigVo> queryPageList(SysSmsConfigBo bo, PageQuery pageQuery);

    /**
     * 查询病例短信配置列表
     */
    List<SysSmsConfigVo> queryList(SysSmsConfigBo bo);

    /**
     * 新增病例短信配置
     */
    Boolean insertByBo(SysSmsConfigBo bo);

    /**
     * 修改病例短信配置
     */
    Boolean updateByBo(SysSmsConfigBo bo);

    /**
     * 校验并批量删除病例短信配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * @return
     */
    void initSmsConfig();
}

